commit:     2b1292819dfc3d6625c2bdd9fd6eefa86cfc1662
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  9 00:38:10 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 00:38:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b129281

dev-python/python-dotenv: 0.15.0

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.0, Repoman-2.3.23

 dev-python/python-dotenv/Manifest                  |  1 +
 .../python-dotenv/python-dotenv-0.15.0.ebuild      | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/python-dotenv/Manifest 
b/dev-python/python-dotenv/Manifest
index e36530020e5..53503d1fc36 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1 +1,2 @@
 DIST python-dotenv-0.14.0.tar.gz 29029 BLAKE2B 
33db159192faf9b74439b5e98e2b9a090a68001ac19eafd2925071ac7fc1872f7ee585b575dd96615c2ef934041dbfacca7948b7a8a69419243f9823f3bf6b42
 SHA512 
e8f6d575cd76cb231d14d98befe8a75017c927e0de39fbffc0ecb852b2aab1ada964cf37ed51c50968a4e8a96822a794c960a058a6deb6a2f0a8f8061d0560df
+DIST python-dotenv-0.15.0.tar.gz 30008 BLAKE2B 
1a406145f0d0497aa037dc95b80fb04854b2889ba4014e4689a24b142d5d71c49d24ac60406f8b2dc873e661c19e36604ef58eb03c7bc9f890f6d4561be199a6
 SHA512 
f1f16d2688041259027b12920ac5f47c2d1d96cfc3ec8a362a05ddfb13fee2cf4926c20ad38eda521fcafb6eef8d7895d86dedadef1b1ea2ecd7e33734b07cbe

diff --git a/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild 
b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
new file mode 100644
index 00000000000..facf646f4b7
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="https://github.com/theskumar/python-dotenv";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+DEPEND="test? (
+               >=dev-python/click-5[${PYTHON_USEDEP}]
+               dev-python/ipython[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               >=dev-python/sh-1.09[${PYTHON_USEDEP}]
+       )"
+
+DOCS=( CHANGELOG.md README.md )
+
+distutils_enable_tests pytest
+
+python_test() {
+       # Tests call the "dotenv" command which needs to be in PATH
+       # https://bugs.gentoo.org/743784
+       distutils_install_for_testing
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to